#******************************************************************************
#
#       Copyright:      2007 Paul Obermeier (obermeier@poSoft.de)
#
#                       See the file "Tcl3D_License.txt" for information on
#                       usage and redistribution of this file, and for a
#                       DISCLAIMER OF ALL WARRANTIES.
#
#       Module:         Tcl3D -> tcl3dOgl
#       Filename:       tcl3dOglQuery.tcl
#
#       Author:         Paul Obermeier
#
#       Description:    Tcl module with Tcl3D query procedures related to
#                       the OpenGL module.
#
#******************************************************************************

# Get the version of the wrapped OpenGL library.

proc tcl3dOglGetVersion {} {
    if { [info commands glGetString] ne "" } {
        return [glGetString GL_VERSION]
    } else {
        return ""
    }
}

# Initialize the OpenGL extension library.

proc tcl3dOglExtInit {} {
    if { [info commands glexGetVersion] ne "" } {
        glexGetVersion 
    } else {
        error "OpenGL extension library not wrapped"
    }
}

# OBSOLETE tcl3dInit 0.3.2 tcl3dOglExtInit
proc tcl3dInit {} {
    tcl3dOglExtInit
}
